function [ Kg ] = assemble( Kg, Kl, local_data, totalelementdof )
% assemble: To assemble the global stiffness matrix [Kg] from the 
% local stiffness matrix [Kl].
%
%
%  local_data.dofs   = [ dof1 dof2 dof3.....  ] Global dofs attached to local dofs
%

     for ilocaldof=1:totalelementdof 
         iglobaldof = local_data.dofs(1,ilocaldof);
        for jlocaldof=1:totalelementdof
            jglobaldof = local_data.dofs(1,jlocaldof);
                Kg(iglobaldof,jglobaldof) =  Kg(iglobaldof,jglobaldof) + Kl(ilocaldof,jlocaldof);
        end
     end

